nixp.ru v3.0

20 января 2017,
пятница,
17:11:31 MSK

DevOps с компанией «Флант»
Maxim Filatov написал 30 сентября 2004 года в 12:12 (485 просмотров) Ведет себя как мужчина; открыл 18 тем в форуме, оставил 23 комментария на сайте.

Как заставить Apache2+mod_perl выполнять CGI-скрипты c помощью mod_perl?

В Apache 1x можно было к mod_perl прикрутить модуль Apache::Registry.

Сейчас использую Apache-2.0.51+mod_perl-1.99_11

пытаюсь поставить Apache::Registry

#perl -MCPAN -e shell

cpan> install Apache::Registry

Removing previously used /etc/cpan/build/mod_perl-1.29

CPAN.pm: Going to build G/GO/GOZER/mod_perl-1.29.tar.gz

Please tell me where I can find your apache src

Говорю ему, где мои сорцы апача….

Он на них смотрит и говорит:

[../apache_x.x/src] /usr/src/httpd-2.0.51

Configure mod_perl with /usr/src/httpd-2.0.51 ? [y]

*********** WARNING ***********

Apache Version 1.3.0 required, aborting…

*********** WARNING ***********

Running make test

Make had some problems, maybe interrupted? Won’t test

Running make install

Make had some problems, maybe interrupted? Won’t install

Вот так вот….

Можно ли как-то поставить теперь Apache::Registry, а если нет — каким модулем надо пользоваться для выполнения скриптов CGI с помощью mod_perl?

Заранее спасибо.

А какую строку тебе перевести? Ясно же сказано — for apache 1.3.x only. И я вообще не понимаю людей, ставящих apache 2, разве что только под виндой.

cebka
А какую строку тебе перевести? Ясно же сказано — for apache 1.3.x only. И я вообще не понимаю людей, ставящих apache 2, разве что только под виндой.

Переводить ничего не надо….

Я вижу, что 1.3.x only….

Вот и спрашиваю, чем можно пользоваться вместо него?…..

ecobeingecobeing.ru
Экология и вегетарианство на благо всем живым существам Планеты.